import { Injectable } from '@nestjs/common';
import { BaseReportService } from '../shared/services/base-report.service';
import { GetReportConfigDto } from '../shared/dto/report-config.get.dto';
import { GetReportDataDto } from '../shared/dto/report-data.get.dto';
import { ReportConfigs } from '../shared/configs';

@Injectable()
export class ReportService extends BaseReportService {
  async getReportConfig(query: GetReportConfigDto) {
    return ReportConfigs;
  }

  async getReportData(body: GetReportDataDto) {
    return 'you hit API for get report data';
  }
  async getReportMeta(body: GetReportDataDto) {
    return 'you hit API for get report meta';
  }
}
